<?php
/* =========================================================================
   Front-end-specific configuration, scripts and handlers
   ========================================================================= */

namespace Fabrica\Devkit;

require_once('singleton.php');
require_once('project.php');

class Front extends Singleton {

	public function init() {
		if (is_admin() || wp_doing_ajax()) { return; }

		add_action('wp_enqueue_scripts', array($this, 'enqueueAssets'));
		add_filter(Project::$varsTag, array($this, 'updateScriptVars'));

		// Front-end-specific tags, hooks and initialisations
		// add_action('action_name', array($this, 'actionHandler'));
		// add_filter('filter_name', array($this, 'filterHandler'));

	}

	public function enqueueAssets() {

		wp_enqueue_script( 'jquery', 'https://code.jquery.com/jquery-3.3.1.slim.min.js', array('jquery'), '3.3.1', true );
		wp_enqueue_script( 'popper', 'https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js', array('jquery'), '1.14.7', true );
		wp_enqueue_script( 'bootstrap', 'https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js', array('jquery'), '4.3.1', true );
		wp_enqueue_script( 'animsition', 'https://cdnjs.cloudflare.com/ajax/libs/animsition/4.0.2/js/animsition.min.js', array('jquery'), '4.0.2', true );
		wp_enqueue_script( 'appear', 'https://cdnjs.cloudflare.com/ajax/libs/jquery.appear/0.4.1/jquery.appear.min.js', array('jquery'), '0.4.1', true );
		wp_enqueue_script( 'isotope', 'https://unpkg.com/isotope-layout@3/dist/isotope.pkgd.min.js', array('jquery'), '3.0.6', true );
		wp_enqueue_script( 'fittext', 'https://cdnjs.cloudflare.com/ajax/libs/FitText.js/1.2.0/jquery.fittext.min.js', array('jquery'), '1.2.0', true );
		wp_enqueue_script(Project::$frontHandle, get_stylesheet_directory_uri() . '/js/front' . Project::$scriptSuffix . '.js', array(), null, true);

		// Pass variables to JavaScript at runtime
		$scriptVars = array();
		$scriptVars = apply_filters(Project::$varsTag, $scriptVars);
		if (!empty($scriptVars)) {
			wp_localize_script(Project::$frontHandle, Project::$namespace, $scriptVars);
		}

		// Front-end stylesheet
        wp_enqueue_style('bootstrap4', 'https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css');
        wp_enqueue_style('font-awesome', 'https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css');
		wp_enqueue_style(Project::$frontHandle, get_stylesheet_directory_uri() . '/css/front' . Project::$styleSuffix . '.css', array(), null);wp_enqueue_style('bootstrap4', 'https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css');

	}

	public function updateScriptVars($scriptVars = array()) {

		// Non-destructively merge script variables according to page or query conditions
		if (is_single()) {
			$scriptVars = array_merge($scriptVars, array(
				'nameSpaced' => array(
					'key1' => __('value one', Project::$namespace),
					'key2' => __('value two', Project::$namespace)
				)
			));
		}
		return $scriptVars;
	}
}

// Create a singleton instance of Front
Front::instance()->init();
